Module | ActionView::Helpers::RecordTagHelper
In: | lib/action_view/helpers/record_tag_helper.rb

### Methods

content_tag_for div_for

### Public Instance methods

content_tag_for(tag_name, record, *args, &block)

content_tag_for creates an HTML element with id and class parameters that relate to the specified Active Record object. For example:

       <% content_tag_for(:tr, @person) do %>
         <td><%=h @person.first_name %></td>
         <td><%=h @person.last_name %></td>
       <% end %>

would produce the following HTML (assuming @person is an instance of a Person object, with an id value of 123):

       <tr id="person_123" class="person">....</tr>

If you require the HTML id attribute to have a prefix, you can specify it:

       <% content_tag_for(:tr, @person, :foo) do %> ...

produces:

       <tr id="foo_person_123" class="person">...

content_tag_for also accepts a hash of options, which will be converted to additional HTML attributes. If you specify a `:class` value, it will be combined with the default class name for your object. For example:

       <% content_tag_for(:li, @person, :class => "bar") %>...

produces:

       <li id="person_123" class="person bar">...

div_for(record, *args, &block)

Produces a wrapper DIV element with id and class parameters that relate to the specified Active Record object. Usage example:

       <% div_for(@person, :class => "foo") do %>
          <%=h @person.name %>
       <% end %>

produces:

       <div id="person_123" class="person foo"> Joe Bloggs </div>

[Validate]